OttoFMS Settings
Edit Offsite Remote
Path Parameters
remote_name*string
remote location name. this value will be slugified
Length
1 <= lengthRequest Body
application/json
PATCH /otto/api/settings/offsite/remotes/:remote_name Request body
endpoint?string
Length
1 <= lengthaccess_key_id?string
secret_access_key?string
region?string
bucket_name?string
Used to validate access if ListBuckets permission is not set
remote_path?string
Used to validate access if ListBuckets permission is not set
noCheckBucket?boolean
Default
trueenv_auth?boolean
Use environment variables for S3 authentication
rclone_flags?
Additional rclone configuration flags as key-value pairs. Reserved keys will be ignored.
Response Body
application/json
application/json
curl -X PATCH "https://your.server.net/otto/api/settings/offsite/remotes/remote_name_1" \ -H "Content-Type: application/json" \ -d '{ "endpoint": "https://s3.us-east-1.amazonaws.com", "access_key_id": "AKIAIGMFG4BqweWD3T7Q", "secret_access_key": "ewqewd3T7Q", "region": "us-east-1" }'{
"response": {},
"messages": [
{
"code": 0,
"text": "ok"
}
]
}{
"response": {},
"messages": [
{
"code": 18011,
"text": "OttoFMS sample error"
}
]
}